JSAN.addRepository('../lib');
JSAN.errorLevel = 'die';
JSAN.use('Test.More');

plan({ tests: 6 });

JSAN.use( 'DOM.Insert.Before' );
ok( true );

var ul = document.createElement( 'ul' );
ul.style.display = 'none';
document.body.appendChild( ul );

var li_1 = document.createElement( 'li' );
li_1.id = '1';
ul.appendChild( li_1 );

var li_2 = document.createElement( 'li' );
li_2.id = '2';
ul.appendChild( li_2 );

is( ul.childNodes.length, 2 );

var insertion = new DOM.Insert.Before( li_2, '<li id=3>' );

is( ul.childNodes.length, 3 );

is( ul.childNodes[0].id, '1' );
is( ul.childNodes[1].id, '3' );
is( ul.childNodes[2].id, '2' );
