JSAN.addRepository('../lib');
JSAN.errorLevel = 'die';
JSAN.use('Test.More');

plan({ tests: 6 });

JSAN.use( 'DOM.Insert.After' );
ok( true );

var ul = document.createElement( 'ul' );
ul.style.display = 'none';
document.body.appendChild( ul );

var li_1 = document.createElement( 'li' );
li_1.id = '1';
ul.appendChild( li_1 );

var li_2 = document.createElement( 'li' );
li_2.id = '2';
ul.appendChild( li_2 );

is( ul.childNodes.length, 2, 'Correct length after append' );

var insertion = new DOM.Insert.After( li_1, '<li id=3>' );

is( ul.childNodes.length, 3, 'Correct length after DOM.Insert' );

is( ul.childNodes[0].id, '1', 'Correct id' );
is( ul.childNodes[1].id, '3', 'Correct id' );
is( ul.childNodes[2].id, '2', 'Correct id' );
