/*

*/

try {
    // If a jsan variable has already been defined, use that, as in the case of tests.
    JSAN.use( 'Class' )
    JSAN.use( 'DOM.Utils' )
} catch (e) {
    throw "DOM.Insert requires JSAN to be loaded";
}

if ( typeof DOM == 'undefined' )
    DOM = {};

/*

*/

/*

*/

DOM.Insert = Class.create( 'DOM.Insert', Object, {
    initialize: function(element, content) {
        this.element = $(element);
        this.content = content;
    
        if (this.adjacency && this.element.insertAdjacentHTML) {
            this.element.insertAdjacentHTML(this.adjacency, this.content);
        }
        else {
            this.range = this.element.ownerDocument.createRange();
            if (this.initializeRange) this.initializeRange();
            this.fragment = this.range.createContextualFragment(this.content);
            this.insertContent();
        }
    }
});

/*

*/
